org.apache.solr.client.solrj.response

## Enum RequestStatusState

- java.lang.Object
- - java.lang.Enum<RequestStatusState>
  - - org.apache.solr.client.solrj.response.RequestStatusState

- All Implemented Interfaces:
    Serializable, Comparable<RequestStatusState>

      public enum RequestStatusState
      extends Enum<RequestStatusState>

  Represents the state of an asynchronous request.
  See Also:
    `CollectionAdminRequest.RequestStatus`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED` The request was completed.
    `FAILED` The request has failed.
    `NOT_FOUND` The request Id was not found.
    `RUNNING` The request is in progress.
    `SUBMITTED` The request was submitted, but has not yet started.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestStatusState` | `fromKey(String key)` Resolves a key that was returned from `getKey()` to a `RequestStatusState`.
    `String` | `getKey()` Returns the string representation of this state, for using as a key.
    `static RequestStatusState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequestStatusState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPLETED

          public static final RequestStatusState COMPLETED

      The request was completed.

    - #### FAILED

          public static final RequestStatusState FAILED

      The request has failed.

    - #### RUNNING

          public static final RequestStatusState RUNNING

      The request is in progress.

    - #### SUBMITTED

          public static final RequestStatusState SUBMITTED

      The request was submitted, but has not yet started.

    - #### NOT_FOUND

          public static final RequestStatusState NOT_FOUND

      The request Id was not found.

  - ### Method Detail

    - #### values

          public static RequestStatusState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestStatusState c : RequestStatusState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestStatusState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKey

          public String getKey()

      Returns the string representation of this state, for using as a key. For backward compatibility, it returns the lowercase form of the state's name.

    - #### fromKey

          public static RequestStatusState fromKey(String key)

      Resolves a key that was returned from `getKey()` to a `RequestStatusState`. For backwards compatibility, it resolves the key "notfound" to `NOT_FOUND`.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.